$colorsSpinner: #84EBBD, #4977EC, #F6BB67, #333841;
$overlayColor: #F8F1DE;
$d: 175.6449737548828;
.overlayLoader{
  *, *:before, *:after {
    box-sizing: border-box;
    position: relative;
  }
  position: fixed;
  z-index: 9;
  width: 100%; height: 100%;

  margin: 0; padding: 0;
  top: 0; left: 0;
  display: flex;
  align-items: center;
  justify-content: center;

  background-color: rgba($overlayColor, 0.5);
  .spinner {
    width: 66px; height: 66px;

    animation: contanim 2s linear infinite;
  }
  svg {
    display: block;

    margin: 0; padding: 0;
    width: 100%; height: 100%;

    left: 0; top: 0;
    position: absolute;

    transform: rotate(-90deg);

    @for $i from 1 through 4 {
      &:nth-child(#{$i}) circle {
        stroke: nth($colorsSpinner, $i);
        stroke-dasharray: 1, 300;
        stroke-dashoffset: 0;

        animation: strokeanim 3s calc(.2s * (#{$i})) ease infinite;
        transform-origin: center center;
      }
    }
  }
}


@keyframes strokeanim {
  0% {
    stroke-dasharray: 1, 300;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 120, 300;
    stroke-dashoffset: -$d / 3;
  }
  100% {
    stroke-dasharray: 120, 300;
    stroke-dashoffset: -$d;
  }
}

@keyframes contanim {
  100% {
    transform: rotate(360deg)
  }
}
